package domain


type AlibabaWdkItemChangepriceQueryResult struct {
    /*
        结果码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        结果文案     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        返回的商品改价单     */
    Models  *[]string `json:"models,omitempty" `

}

func (s *AlibabaWdkItemChangepriceQueryResult) SetReturnCode(v string) *AlibabaWdkItemChangepriceQueryResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkItemChangepriceQueryResult) SetReturnMsg(v string) *AlibabaWdkItemChangepriceQueryResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkItemChangepriceQueryResult) SetSuccess(v bool) *AlibabaWdkItemChangepriceQueryResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemChangepriceQueryResult) SetModels(v []string) *AlibabaWdkItemChangepriceQueryResult {
    s.Models = &v
    return s
}
